function tulostaTekst() {
	var teksti = document.getElementById("tekst").value.toLowerCase();
	var sana = document.getElementById("tr").value.toLowerCase();
	var pos = 0;
	var etsi = teksti.search(sana);
	var numero = 0;
	if (teksti == "" || sana == "") {	
		var modal = document.getElementById("modaali");
		modal.style.display = "block";
	} else {
		while (etsi != -1) {
			pos = teksti.lastIndexOf(sana);
			teksti = teksti.slice(0, pos);
			numero++;
			etsi = teksti.search(sana);
	}
	document.getElementById("demo").innerHTML = "Tulos: Kirjoittamasi sana esiintyy tekstiss� " + numero + " kertaa.";
}
}

function suljeModal() {
	var modal = document.getElementById("modaali");
	modal.style.display = "none";
}